## com.vividsolutions.jts.operation.relate
Class RelateNodeFactory

    java.lang.Object
      com.vividsolutions.jts.geomgraph.NodeFactory
          com.vividsolutions.jts.operation.relate.RelateNodeFactory

public class RelateNodeFactory
extends NodeFactory

Used by the `NodeMap` in a `RelateNodeGraph` to create `RelateNode`s.

Version:
  1.7

Constructor Summary
`RelateNodeFactory()`

Method Summary
`Node` `createNode(Coordinate coord)` The basic node constructor does not allow for incident edges

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RelateNodeFactory

    public RelateNodeFactory()

Method Detail

### createNode

    public Node createNode(Coordinate coord)

  Description copied from class: `NodeFactory`
  The basic node constructor does not allow for incident edges

  Overrides:
    `createNode` in class `NodeFactory`